package com.eactive.eai.batch.rule.phaseinfo; 

import java.io.Serializable;

public class PhaseInfoVO implements Serializable
{ 
    /**
	 * 
	 */
	private static final long serialVersionUID = 1L;
	private String  RuleCode	= "";             //CHAR(20)
    private String  PhaseSeq	;             //CHAR(3)
    private String  PhaseCode	;             //CHAR(10)
    private String  PhaseType	;             //VARCHAR2(10)
    private String  Desc	;                 //VARCHAR2(100)
    private String  TelegramType	;         //CHAR(4)
    private String  OpCode	;               //CHAR(3)
    private String  TrClass	;               //VARCHAR2(10)
    private int     TOVal	;                 //NUMBER(15)
    private int     Repeat	;               //NUMBER(3)
    private String  ConditionTxt	;         //VARCHAR2(10)
    private int     Priority	;             //NUMBER(3)
    private String  CTelegramType	;         //CHAR(4)
    private String  COpCode	;               //CHAR(3)
    private String  CTrClass	;             //VARCHAR2(10)
    private String  CResCode	;             //CHAR(3)
    private String  TelegramID;
    private String  NextPhaseCode	;         //CHAR(10)

    public String getConditionTxt() {
        return ConditionTxt;
    }
    public void setConditionTxt(String conditionTxt) {
        ConditionTxt = conditionTxt;
    }
    public String getCOpCode() {
        return COpCode;
    }
    public void setCOpCode(String opCode) {
        COpCode = opCode;
    }
    public String getCResCode() {
        return CResCode;
    }
    public void setCResCode(String resCode) {
        CResCode = resCode;
    }
    public String getCTelegramType() {
        return CTelegramType;
    }
    public void setCTelegramType(String telegramType) {
        CTelegramType = telegramType;
    }
    public String getCTrClass() {
        return CTrClass;
    }
    public void setCTrClass(String trClass) {
        CTrClass = trClass;
    }
    public String getDesc() {
        return Desc;
    }
    public void setDesc(String desc) {
        Desc = desc;
    }
    public String getNextPhaseCode() {
        return NextPhaseCode;
    }
    public void setNextPhaseCode(String nextPhaseCode) {
        NextPhaseCode = nextPhaseCode;
    }
    public String getOpCode() {
     return OpCode;
    }
    public void setOpCode(String opCode) {
        OpCode = opCode;
    }
    public String getPhaseCode() {
        return PhaseCode;
    }
    public void setPhaseCode(String phaseCode) {
        PhaseCode = phaseCode;
    }
    public String getPhaseSeq() {
        return PhaseSeq;
    }
    public void setPhaseSeq(String phaseSeq) {
        PhaseSeq = phaseSeq;
    }
    public String getPhaseType() {
        return PhaseType;
    }
    public void setPhaseType(String phaseType) {
        PhaseType = phaseType;
    }
    public int getPriority() {
        return Priority;
    }
    public void setPriority(int priority) {
        Priority = priority;
    }
    public int getRepeat() {
        return Repeat;
    }
    public void setRepeat(int repeat) {
        Repeat = repeat;
    }
    public String getRuleCode() {
        return RuleCode;
    }
    public void setRuleCode(String ruleCode) {
        RuleCode = ruleCode;
    }
    public String getTelegramType() {
        return TelegramType;
    }
    public void setTelegramType(String telegramType) {
        TelegramType = telegramType;
    }
    public int getTOVal() {
        return TOVal;
    }
    public void setTOVal(int val) {
        TOVal = val;
    }
    public String getTrClass() {
        return TrClass;
    }
    public void setTrClass(String trClass) {
        TrClass = trClass;
    }    
    public String getTelegramID() {
        return TelegramID;
    }
    public void setTelegramID(String telegramID) {
        TelegramID = telegramID;
    }
	@Override
	public String toString() {
		return "PhaseInfoVO [RuleCode=" + RuleCode + ", PhaseSeq=" + PhaseSeq
				+ ", PhaseCode=" + PhaseCode + ", PhaseType=" + PhaseType
				+ ", Desc=" + Desc + ", TelegramType=" + TelegramType
				+ ", OpCode=" + OpCode + ", TrClass=" + TrClass + ", TOVal="
				+ TOVal + ", Repeat=" + Repeat + ", ConditionTxt="
				+ ConditionTxt + ", Priority=" + Priority + ", CTelegramType="
				+ CTelegramType + ", COpCode=" + COpCode + ", CTrClass="
				+ CTrClass + ", CResCode=" + CResCode + ", TelegramID="
				+ TelegramID + ", NextPhaseCode=" + NextPhaseCode + "]";
	}        
} 
